Hacking Wiiconnect24 "you must perform an update to use this functionality"

RetroXSims

Member
OP
Newcomer
Joined
May 27, 2022
Messages
9
Trophies
0
Age
23
Location
Banten
XP
10
Country
Indonesia
So installed Riiconnect24 on my Wii running v4.3u and when I want to turn on the wiiconnect24 functionality it tells me to perform an update! I saw other people with the same Wii version as mine enabling wiiconnect24, but for me it says my Wii need to be updated. Is there any other way to enabled it without updating??
 

XFlak

Wiitired but still kicking
Member
Joined
Sep 12, 2009
Messages
12,730
Trophies
2
Age
36
Location
Cyprus, originally from Toronto
Website
modmii.github.io
XP
7,215
Country
Cyprus
You can use riiconnect24 on older firmwares if you install modmii's system menu IOS. If u use modmii u will still need to do everything the riiconnect24 patcher tells u to do EXCEPT install their IOS80, modmii's ios80 is better and safer. I've spoken to the riiconnect24 guys about some changes to their ios80 and they may or may not make some changes (point is this is all things I have also said to their face, and they're cool guys so it was taken well)
 
Last edited by XFlak,

RetroXSims

Member
OP
Newcomer
Joined
May 27, 2022
Messages
9
Trophies
0
Age
23
Location
Banten
XP
10
Country
Indonesia
You can use riiconnect24 on older firmwares if you install modmii's system menu IOS. It u use modmii u will still need to do everything the riiconnect24 patcher tells u to do EXCEPT install their IOS80, modmii's ios80 is better and safer. I've spoken to the riiconnect24 guys about some changes to their ios80 and they may or may not make some changes (point is this is all things I have also said to their face, and they're cool guys so it was taken well)
Okay thank you! I'm gonna try this
 

RetroXSims

Member
OP
Newcomer
Joined
May 27, 2022
Messages
9
Trophies
0
Age
23
Location
Banten
XP
10
Country
Indonesia
You can use riiconnect24 on older firmwares if you install modmii's system menu IOS. It u use modmii u will still need to do everything the riiconnect24 patcher tells u to do EXCEPT install their IOS80, modmii's ios80 is better and safer. I've spoken to the riiconnect24 guys about some changes to their ios80 and they may or may not make some changes (point is this is all things I have also said to their face, and they're cool guys so it was taken well)
It still says "you must perform an update" :(
 

RetroXSims

Member
OP
Newcomer
Joined
May 27, 2022
Messages
9
Trophies
0
Age
23
Location
Banten
XP
10
Country
Indonesia

Attachments

  • IMG_20220528_131309_812.jpg
    IMG_20220528_131309_812.jpg
    4.3 MB · Views: 3

RetroXSims

Member
OP
Newcomer
Joined
May 27, 2022
Messages
9
Trophies
0
Age
23
Location
Banten
XP
10
Country
Indonesia
I can only conclude that you either skipped a riiconnect24 step or you didn't save after enabling priiloader hacks. If u can double check that before we start looking at other things that might be best
I did all Riiconnect24 steps correctly and also save priiloader hacks, but it still says the same message when enabling wiiconnect24
 

XFlak

Wiitired but still kicking
Member
Joined
Sep 12, 2009
Messages
12,730
Trophies
2
Age
36
Location
Cyprus, originally from Toronto
Website
modmii.github.io
XP
7,215
Country
Cyprus
Wiis don't suddenly and inexplicably downgrade by themselves. Please share a syscheck.

there's nothing wrong with 4.2, 4.3 is not any better than 4.2 (or 4.1 for that matter). You can stay on 4.2 and still use RiiConnect24 so long as you have ModMii's system menu IOS installed (IOS70 for 4.2). RiiConnect24 documentation would have u believe that u need to update to 4.3 to use their service but this is not true (I've discussed it with them, they agree, the documentation just hasn't been updated)
 

RetroXSims

Member
OP
Newcomer
Joined
May 27, 2022
Messages
9
Trophies
0
Age
23
Location
Banten
XP
10
Country
Indonesia
Wiis don't suddenly and inexplicably downgrade by themselves. Please share a syscheck.

there's nothing wrong with 4.2, 4.3 is not any better than 4.2 (or 4.1 for that matter). You can stay on 4.2 and still use RiiConnect24 so long as you have ModMii's system menu IOS installed (IOS70 for 4.2). RiiConnect24 documentation would have u believe that u need to update to 4.3 to use their service but this is not true (I've discussed it with them, they agree, the documentation just hasn't been updated)
Ohh okay, but I think imma do a syscheck later
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    NeoGaming @ NeoGaming: i'm back